Announcement

Collapse
No announcement yet.

What do I need?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • RGM-79N_GM_CUstom
    started a topic What do I need?

    What do I need?

    Alright guys what do I need to play ArmA at TG again? I am out of action for the time being since I can't get to my desktop but yes what do I need?

    Do we use the Queen's Gambit expansion, do we use teamspeak still, what is the current patch version, etc?

  • Dizlor
    replied
    Re: What do I need?

    Good to hear from you custom... hope your knee is healin up well!!

    Leave a comment:


  • RGM-79N_GM_CUstom
    replied
    Re: What do I need?

    Alright thanks. As soon as I can go back upstairs and sit down I will update ArmA and hope on the server.

    Leave a comment:


  • TheBigC
    replied
    Re: What do I need?

    Real easy. Just the game and patch up to version 1.11b. No Queens Gambit or TeamSpeak. The ingame comms works just fine....

    This link will get you all the patching and info you need.

    See you on the server!

    Leave a comment:

Connect

Collapse

TeamSpeak 3 Server

Collapse

Twitter Feed

Collapse

Working...
X